<?php
/*
Template Name: Blog Index Page
*/
?>

<?php get_header(); ?>
<?php include(TEMPLATEPATH."/option1.php");?>
<div id="content">
    <!--page.php-->

	<h2><?php bloginfo('name'); ?> Blog</h2>

<?php query_posts('showposts=5'); ?>
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

	<!--post title-->
    <h1><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h1>
    
	<!--post text with the read more link-->
    <?php the_excerpt(); ?>

	<!--for paginate posts-->
	<?php link_pages('<p><strong>Pages:</strong> ', '</p>', 'number'); ?>

    <?php //comments_template(); // uncomment this if you want to include comments template ?>

	<?php endwhile; // end of one post ?>
	<?php else : // do not delete ?>

	<h3>Page Not Found</h3>
    <p>We're sorry, but the page you are looking for isn't here.</p>
    <p>Try searching for the page you are looking for or using the navigation in the header or sidebar</p>
    
    <?php endif; // do not delete ?>

<!--page.php end-->

</div>

<!--include sidebar-->
<?php get_sidebar(); ?>

<!--include footer-->
<?php get_footer(); ?>